package ink.wgink.module.file.media.pojo.vos.video;

import ink.wgink.module.file.media.pojo.vos.MediaVO;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: VideoVO
 * @Description: 视频
 * @Author: WangGeng
 * @Date: 2021/6/9 23:10
 * @Version: 1.0
 **/
public class VideoVO extends MediaVO {

    private String keyframe;
    private Long videoDuration;
    private Integer videoWidth;
    private Integer videoHeight;
    private Integer videoBitRate;
    private String videoEncoder;
    private Float videoFrameRate;
    private Long audioDuration;
    private Integer audioBitRate;
    private Long audioSampleRate;
    private String convertStatus;

    public String getKeyframe() {
        return keyframe == null ? "" : keyframe;
    }

    public void setKeyframe(String keyframe) {
        this.keyframe = keyframe;
    }

    public Long getVideoDuration() {
        return videoDuration == null ? 0 : videoDuration;
    }

    public void setVideoDuration(Long videoDuration) {
        this.videoDuration = videoDuration;
    }

    public Integer getVideoWidth() {
        return videoWidth == null ? 0 : videoWidth;
    }

    public void setVideoWidth(Integer videoWidth) {
        this.videoWidth = videoWidth;
    }

    public Integer getVideoHeight() {
        return videoHeight == null ? 0 : videoHeight;
    }

    public void setVideoHeight(Integer videoHeight) {
        this.videoHeight = videoHeight;
    }

    public Integer getVideoBitRate() {
        return videoBitRate == null ? 0 : videoBitRate;
    }

    public void setVideoBitRate(Integer videoBitRate) {
        this.videoBitRate = videoBitRate;
    }

    public String getVideoEncoder() {
        return videoEncoder == null ? "" : videoEncoder;
    }

    public void setVideoEncoder(String videoEncoder) {
        this.videoEncoder = videoEncoder;
    }

    public Float getVideoFrameRate() {
        return videoFrameRate == null ? 0 : videoFrameRate;
    }

    public void setVideoFrameRate(Float videoFrameRate) {
        this.videoFrameRate = videoFrameRate;
    }

    public Long getAudioDuration() {
        return audioDuration == null ? 0 : audioDuration;
    }

    public void setAudioDuration(Long audioDuration) {
        this.audioDuration = audioDuration;
    }

    public Integer getAudioBitRate() {
        return audioBitRate == null ? 0 : audioBitRate;
    }

    public void setAudioBitRate(Integer audioBitRate) {
        this.audioBitRate = audioBitRate;
    }

    public Long getAudioSampleRate() {
        return audioSampleRate == null ? 0 : audioSampleRate;
    }

    public void setAudioSampleRate(Long audioSampleRate) {
        this.audioSampleRate = audioSampleRate;
    }

    public String getConvertStatus() {
        return convertStatus == null ? "" : convertStatus;
    }

    public void setConvertStatus(String convertStatus) {
        this.convertStatus = convertStatus;
    }
}
